complexType "CommodityPhysicalAmericanExercise"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | complex, 1 attribute, 6 elements
Defined: | globally in fpml-com-5-3.xsd; see XML source
Includes: | definitions of 6 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | ((commencementDates?, expirationDates?) | (relativeCommencementDates?, relativeExpirationDates?)), latestExerciseTime?, expirationTime?
</...>

Content Model Elements (6):

  commencementDates,
  expirationDates (in americanExercise defined in CommodityPhysicalExercise complexType),
  expirationTime (in americanExercise defined in CommodityPhysicalExercise complexType),
  latestExerciseTime (in americanExercise defined in CommodityPhysicalExercise complexType),
  relativeCommencementDates,
  relativeExpirationDates (in americanExercise defined in CommodityPhysicalExercise complexType)

All Direct / Indirect Based Elements (1):

  americanExercise (defined in CommodityPhysicalExercise complexType)

Known Usage Locations

- As direct type of elements (1):
  americanExercise (defined in CommodityPhysicalExercise complexType)

Annotation
The parameters for defining the expiration date(s) and time(s) for an American style option.
Type Definition Detail

Type Derivation Tree Exercise (extension) CommodityPhysicalAmericanExercise

XML Source (w/o annotations (7); see within schema source)

<xsd:complexType name="CommodityPhysicalAmericanExercise"> <xsd:complexContent> <xsd:extension base="Exercise"> <xsd:sequence> <xsd:choice> <xsd:sequence> <xsd:element minOccurs="0" name="commencementDates" type="AdjustableOrRelativeDates"/> <xsd:element minOccurs="0" name="expirationDates" type="AdjustableOrRelativeDates"/> </xsd:sequence> <xsd:sequence> <xsd:element minOccurs="0" name="relativeCommencementDates" type="CommodityRelativeExpirationDates"/> <xsd:element minOccurs="0" name="relativeExpirationDates" type="CommodityRelativeExpirationDates"/> </xsd:sequence> </xsd:choice> <xsd:element minOccurs="0" name="latestExerciseTime" type="PrevailingTime"/> <xsd:element minOccurs="0" name="expirationTime" type="PrevailingTime"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 6/6)
commencementDates

  Type: | AdjustableOrRelativeDates, complex content

  The first day(s) of the exercise period(s) for an American-style option.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="commencementDates" type="AdjustableOrRelativeDates"/>

expirationDates

  Type: | AdjustableOrRelativeDates, complex content

  The Expiration Date(s) of an American-style option.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="expirationDates" type="AdjustableOrRelativeDates"/>

expirationTime

  Type: | PrevailingTime, complex content

  The specific time of day at which the option expires.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="expirationTime" type="PrevailingTime"/>

latestExerciseTime

  Type: | PrevailingTime, complex content

  For a Bermuda or American style option, the latest time on an exercise business day (excluding the expiration date) within the exercise period that notice can be given by the buyer to the seller or seller's agent. Notice of exercise given after this time will be deemed to have been given on the next exercise business day.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="latestExerciseTime" type="PrevailingTime"/>

relativeCommencementDates

  Type: | CommodityRelativeExpirationDates, complex content

  The first day(s) of the exercise period(s) for an American-style option where it is relative to the occurrence of an external event.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="relativeCommencementDates" type="CommodityRelativeExpirationDates"/>

relativeExpirationDates

  Type: | CommodityRelativeExpirationDates, complex content

  The Expiration Date(s) of an American-style option where it is relative to the occurrence of an external event.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="relativeExpirationDates" type="CommodityRelativeExpirationDates"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.